/**
 * @Author: zhangtq 2452618307@qq.com
 * @Date: 2024-10-14 09:34:32
 * @LastEditors: zhangtq 2452618307@qq.com
 * @LastEditTime: 2024-12-10 13:09:17
 * @FilePath: src/api/educationalTraining/studentManagement.js
 * @Description: 这是默认设置,可以在设置》工具》File Description中进行配置
 */
import request from '@/utils/request'

//内部学员列表
export function internalStudentList(query) {
  return request({
    url: '/exam/studentManagement/internalStudentList',
    method: 'get',
    params: query
  })
}

//外部学员列表
export function assignedStudentsList(query) {
  return request({
    url: '/exam/studentManagement/assignedStudentsList',
    method: 'get',
    params: query
  })
}

export function studentProfileList(params) {
  return request({
    url: '/exam/studentManagement/studentProfile',
    method: 'get',
    params: params
  })
}

export function studentProfileHeader(params) {
  return request({
    url: '/exam/studentManagement/studentProfileHeader',
    method: 'get',
    params: params
  })
}

export function getReleaseStatics(params) {
  return request({
    url: '/exam/studentManagement/getReleaseStatics',
    method: 'get',
    params: params
  })
}
